Merchant Approve Transaction

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Merchant Approve Transaction request lets you approve or decline transactions with invoice status of PENDING_MERCHANT_REVIEW.

Try it in the API Explorer

Request Content

The request must include either the transactionid or merchanttransactionid.

For example:

services/2/transactions/approval?transactionid=38612140&approvetransaction=true

OR

services/2/transactions/approval?merchanttransactionid=MyUniqueMTI&approvetransaction=true

Note: If approvetransaction is not included, true is assumed.

Response Details

If successful, the response HTTP status code is 204.
The response will be in MerchantApprovalResource and contain the following parameters.

Possible Responses

CaseExamples
Approve
  • Auth Only (with amount > 0)

with transactionId

{
  "transactionId": "38611602",
  "transactionStatus": "Waiting"
}

with merchantTransactionId

{
  "transactionId": "38611602",
  "transactionStatus": "Waiting",
  "merchantTransactionId": "merchantTransactionId122222"
}
  • Auth Only (with amount = 0)
  • Auth Capture
  • Create PayPal Transaction
  • Create Local Bank Transfer Transaction

with transactionId

{
  "transactionId": "38611602",
  "transactionStatus": "Approved"
}

with merchantTransactionId

{
  "transactionId": "38611602",
  "transactionStatus": "Approved",
  "merchantTransactionId": "merchantTransactionId122222"
}
  • Create Subscription
  • Create Merchant-Managed Subscription

with transactionId

{
  "subscriptionId": 39606170,
  "transactionId": "38611602",
  "transactionStatus": "Approved"
}

with merchantTransactionId

{
  "subscriptionId": 39606170,
  "transactionId": "38611602",
  "transactionStatus": "Approved",
  "merchantTransactionId": "merchantTransactionId122222"
}
Decline
  • Create Local Bank Transfer Transaction

with transactionId

{
  "transactionId": "38523084",
  "transactionStatus": "Short OrderContext Declined By Vendor (Refund Needed)"
}

with merchantTransactionId

{
  "transactionId": "38523084",
  "transactionStatus": "Short OrderContext Declined By Vendor (Refund Needed)",
  "merchantTransactionId": "merchantTransactionId122222"
}
  • all others

with transactionId

{
  "transactionId": "38611592",
  "transactionStatus": "Canceled"
}

with merchantTransactionId

{
  "transactionId": "38611592",
  "transactionStatus": "Canceled",
  "merchantTransactionId": "merchantTransactionId122222"
}

Example

Request Example

curl -v -X PUT https://sandbox.bluesnap.com/services/2/transactions/approval?transactionid=38612140&approvetransaction=true \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
curl -v -X PUT https://sandbox.bluesnap.com/services/2/transactions/approval?transactionid=38612140&approvetransaction=false \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '

Response Examples

{
	"transactionId": "38611602",
	"transactionStatus": "Approved"
}
{
	"transactionId": "38611602",
	"transactionStatus": "Approved",
	"merchantTransactionId": "merchantTransactionId122222"
}

API Explorer

To test a call, enter an existing transaction ID or merchant transaction ID. This automatically inserts the ID into the request URL.

Query Params
string

either transactionid or merchanttransactionid is required
ID of the transaction to be approved/declined

string

either transactionid or merchanttransactionid is required
merchant's transaction ID number for the transaction to be approved/declined

boolean
Defaults to true

Set to true to approve the transaction or to false to decline the transaction. Default value is true.

Language
Credentials
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here!